# gnssr


GNSS-R Data Processing Package

This package provides a comprehensive set of tools and functions for processing and analyzing Global Navigation Satellite System Reflectometry (GNSS-R) data. GNSS-R is an emerging remote sensing technique that leverages the signals transmitted by navigation satellites (such as GPS, GLONASS, Galileo, and BDS) to observe the Earth's surface and atmosphere through reflections from the Earth's surface or other natural scatterers.

The package is designed to facilitate the entire GNSS-R data processing pipeline, from raw signal acquisition and preprocessing to advanced data analysis and visualization. It includes algorithms for:

1. CYGNSS L1 processing
   - Data reading
   - Variable extraction
   - Quality control
   - Gridding
   - Surface reflectivity calculation
2. Under development...

The package is written in Python, leveraging popular scientific computing libraries such as NumPy, SciPy, Pandas, and Matplotlib, ensuring compatibility with a wide range of users and systems. It is designed to be modular and extensible, allowing researchers and developers to easily integrate new algorithms and techniques as they emerge.


